#pragma once

#include "Wima/Geometry/WimaAreaData.h"

class SnakeTile : public WimaAreaData {
public:
  SnakeTile(QObject *parent = nullptr);
  SnakeTile(const SnakeTile &other, QObject *parent = nullptr);

  QString type() const { return "Tile"; }
  SnakeTile *Clone() const { return new SnakeTile(*this); }

  SnakeTile &operator=(const SnakeTile &other);

protected:
  void assign(const SnakeTile &other);
};
